<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_Map extends Controller_Handler {
		
        public function before() {
            $this->model = new Model_Teacher_Map;
            $this->setAccessLevel(self::ACCESS_TEACHER);
            parent::before();
        }
        
        public function action_AddMap() {
			
			$json = $this->post->offsetGet('data');
			$json = json_decode($json, true);

			for ($i = 0; $i < $json['modulesCount']; $i++) {
				$query = $this->model->addModule(
					$this->user['TeacherID'],
					$json['DisciplineID'],
					$i + 1,
					$json[$i]['moduleName']
				);
				$ModuleID = $query[0]['Num'];
				
				for ($j = 0; $j < $json[$i]['subModules']['subModulesCount']; $j++) {
					$this->model->addSubmodule(
							$this->user['TeacherID'], 
							$ModuleID,
							$json[$i]['subModules'][$j]['maxRate'],
							$j + 1,
							$json[$i]['subModules'][$j]['subModuleName'],
							'description',
							$json[$i]['subModules'][$j]['typeControl']
					);
				}
			
			}
			
			//$this->response->body($post);
		}
}
